Download it now!
Bug 43419 - Accessing Writer with unoconv changes the configuration
Summary: Accessing Writer with unoconv changes the configuration
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All Linux (All)
: lowest trivial
Assignee: Not Assigned
URL: https://github.com/dagwieers/unoconv/...
Whiteboard:
Keywords:
Depends on:
Blocks: Maximized-Window
  Show dependency treegraph
 
Reported: 2011-12-01 06:14 UTC by sworddragon2
Modified: 2020-09-16 04:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2011-12-01 06:14:02 UTC
I'm using unoconv 0.4 and if I access a document with unoconv Writer is on the next start not maximized anymore.

Steps to reproduce:

1. Open Writer and maximize the window.
2. Save the empty document to /tmp/test.odf and close Writer.
3. Access the document with "unoconv /tmp/test.odf".
4. Open Writer.
5. Writer is now not maximized anymore.
Comment 1 sworddragon2 2011-12-24 12:30:51 UTC
There is a little typo: The filename must be /tmp/test.odt and not /tmp/test.odf.
Comment 2 Dag Wieers 2012-01-09 06:23:23 UTC
This issue was first reported on the unoconv issue-tracker, but was forwarded to the LibreOffice community.
Comment 3 sasha.libreoffice 2012-02-17 02:38:16 UTC
Sorry, can not understand. After using unoconv, Writer forgets that should be maximized initially or impossible to maximize it?
Comment 4 Dag Wieers 2012-02-17 04:12:57 UTC
I just tested this myself, and I cannot reproduce this with LibreOffice 3.4.5 or LibreOffice 3.5.0.

I can however reproduce this with OpenOffice 3.2.1, where without running unoconv the file would open maximized, but after running unoconv (default actions is to convert to PDF) the file would open in a smaller (default) window. And this happens even without reopening the same file, so using the UNO bindings apparently resets the global window state. Maybe LibreOffice used to have this bug as well ?

With LibO 3.4.5 and LibO 3.5.0, the window size would not be affected by the file, or unoconv calls (UNO bindings) and would persist even when restarting Writer subsequently with no actions. While OpenOffice 3.2.1 would always fall back to the default windows size/location.
Comment 5 sasha.libreoffice 2012-02-17 04:30:25 UTC
Thanks for information and additional testing. So, problem fixed in last versions?
Comment 6 sworddragon2 2012-02-18 10:46:59 UTC
In the newest trunk of unoconv and LibreOffice 3.5.0 Beta 2 the bug still exists. LibreOffice will not be maximized anymore if I used unoconv for a document (means the LibreOffice window is using only ~99% of the window instead of a native maximized window).
Comment 7 sasha.libreoffice 2012-02-20 03:14:13 UTC
my be problem is in unoconv? I issued this on console:
[s@t2 program]$ unoconv --version

and output of this command is:

unoconv 0.4svn
Written by Dag Wieers <dag@wieers.com>
Homepage at http://dag.wieers.com/home-made/unoconv/

platform posix/linux2
python 2.7.1 (r271:86832, Apr 12 2011, 16:15:16) 
[GCC 4.6.0 20110331 (Red Hat 4.6.0-2)]

build revision $Rev$

I can not reproduce this problem, my be we have different versions?
Comment 8 sworddragon2 2012-02-20 08:33:35 UTC
sworddragon@ubuntu:~/data/dagwieers-unoconv-70c897d$ unoconv --version
unoconv 0.4
Written by Dag Wieers <dag@wieers.com>
Homepage at http://dag.wieers.com/home-made/unoconv/

platform posix/linux2
python 2.7.2+ (default, Feb 16 2012, 18:47:58) 
[GCC 4.6.2]

build revision $Rev$
Comment 9 sworddragon2 2012-02-20 08:36:50 UTC
Oops, I called the system version and not the one in the directory (but the bug appears in both versions).

sworddragon@ubuntu:~/data/dagwieers-unoconv-70c897d$ ./unoconv --version
unoconv 0.5
Written by Dag Wieers <dag@wieers.com>
Homepage at http://dag.wieers.com/home-made/unoconv/

platform posix/linux2
python 2.7.2+ (default, Feb 16 2012, 18:47:58) 
[GCC 4.6.2]
LibreOffice 3.5

build revision $Rev$
Comment 10 sasha.libreoffice 2012-02-21 02:39:46 UTC
And if installed several versions of LibreOffice, this reproducible with all versions?
Comment 11 Dag Wieers 2012-02-21 09:11:59 UTC
unoconv does not do anything that would/should affect the configuration of the window size. In fact we simply open a file, and save it using a different export filter (with potentially custom filter options) using UNO.

That is why I requested to have this issue opened with the LibreOffice project.
Comment 12 sworddragon2 2012-02-21 13:53:24 UTC
> And if installed several versions of LibreOffice, this reproducible with all
versions?

LibreOffice 3.4.4 is affected too.
Comment 13 Dag Wieers 2012-02-21 14:10:47 UTC
Why test with 3.4.4 when 3.4.5 is out and I cannot reproduce it on 3.4.5 ?

Could you please test with 3.4.5 and 3.5.0 just to make sure that it's not already (unintentionally) fixed.
Comment 14 sworddragon2 2012-02-21 15:04:39 UTC
> Why test with 3.4.4 when 3.4.5 is out and I cannot reproduce it on 3.4.5 ?

Because LibreOffice 3.4.4 is in the Ubuntu repository. I have tested this now with the final version of LibreOffice 3.5.0 and the bug still exists (all LibreOffice versions were from the Ubuntu repository). After this I have tested this with LibreOffice 3.4.5 (from the official site) and I can't reproduce the bug. This gives me the impression that this bug happens only with the packages from the Ubuntu repository. I wanted to try this with LibreOffice 3.5.0 from the official site but the latest trunk from unoconv can't convert the document with this version.
Comment 15 Dag Wieers 2012-02-21 15:18:30 UTC
Ok, sorry for that. From the previous reports it was unclear what versions were tested. I can confirm that in my case the LibO versions 3.4.5 and 3.5.0 were indeed the upstream RPM packages, and not the ones that come with the distribution.
Comment 16 sasha.libreoffice 2012-02-22 01:38:10 UTC
so, bug reproducible in 3.4.5 and 3.5.0 both from repository and from libreoffice.org?
Comment 17 sworddragon2 2012-02-22 01:45:10 UTC
Current state:

Ubuntu LibreOffice 3.4.4: Reproduceable
Ubuntu LibreOffice 3.5.0: Reproduceable
Upstream LibreOffice 3.4.5: Not reproduceable
Upstream LibreOffice 3.5.0: Can't be tested because of this: https://github.com/dagwieers/unoconv/issues/43
Comment 18 sasha.libreoffice 2012-02-22 01:57:30 UTC
Thanks for additional testing

@ Bjoern
Please, take look at this bug. It looks like Ubuntu specific bug.
Comment 19 Björn Michaelsen 2012-02-27 09:48:05 UTC
PLease first confirm this to be an issue with 3.5.0 upstream, as a lot of vendor-specific stuff was removed between 3.4 and 3.5 in Debian/Ubuntu (actually we started from scratch with much fewer vendor patches in 3.5).
Comment 20 sworddragon2 2012-02-27 13:34:40 UTC
This information depends on this issue: https://github.com/dagwieers/unoconv/issues/43

But it seems bugzilla doesn't support dependencies to external sites.
Comment 21 Dag Wieers 2012-02-27 14:11:23 UTC
You can add bugs to Google code, Launchpad and Debian. Not to Github, Red Hat or anything else, a pity :-/
Comment 22 sworddragon2 2012-03-14 17:01:35 UTC
I have tested this now with the newest trunk of unoconv and the final release of LibreOffice 3.5.0 (I have deleted ~/.config/libreoffice before) and the bug still exists.
Comment 23 Thomas Arnhold 2014-06-15 20:08:47 UTC
NOT reproducible anymore:

Tested with Libo 4.2.4.2 and unoconv 0.6
Comment 24 sworddragon2 2014-06-16 00:59:15 UTC
I'm still able to reproduce the problem with LibreOffice 4.2.4 and unoconv 0.6.
Comment 25 Joel Madero 2014-07-28 18:21:19 UTC
Bodhi Linux x64 (built on Ubuntu 12.04)
LibreOffice 4.1.6.2
Unoconv 0.4

Setting as:
New (confirmed)
Trivial - really almost no impact on anything
Lowest - you can tell that this is really affecting almost no one by the fact that there are no other users reporting the same issue in years.
Comment 26 QA Administrators 2015-09-04 02:48:52 UTC Comment hidden (obsolete)
Comment 27 sworddragon2 2015-09-12 00:08:52 UTC
With LibreOffice 5.0.1.2 on Linux 4.1.3 I'm still seeing this issue.
Comment 28 QA Administrators 2016-09-20 10:32:02 UTC Comment hidden (obsolete)
Comment 29 QA Administrators 2020-09-16 04:05:15 UTC
Dear sworddragon2,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug